---
id: recipe-index
title: Recipes: Index
sidebar_label: Recipes: Index
hide_title: true
---

# Recipes

These are some use cases and code snippets to get you started with Redux in a real app. They assume you understand the topics in [basic](../basics/README.md) and [advanced](../advanced/README.md) tutorials.

- [Configuring Your Store](ConfiguringYourStore.md)
- [Usage with TypeScript](./UsageWithTypescript.md)
- [Migrating to Redux](MigratingToRedux.md)
- [Using Object Spread Operator](UsingObjectSpreadOperator.md)
- [Reducing Boilerplate](ReducingBoilerplate.md)
- [Code Splitting](CodeSplitting.md)
- [Server Rendering](ServerRendering.md)
- [Writing Tests](WritingTests.md)
- [Computing Derived Data](ComputingDerivedData.md)
- [Implementing Undo History](ImplementingUndoHistory.md)
- [Isolating Subapps](IsolatingSubapps.md)
- [Structuring Reducers](structuring-reducers/StructuringReducers.md)
- [Using Immutable.JS with Redux](UsingImmutableJS.md)
